## org.hibernate.cache.spi
Class NaturalIdCacheKey

    java.lang.Object
      org.hibernate.cache.spi.NaturalIdCacheKey

All Implemented Interfaces:
  Serializable

    public class NaturalIdCacheKey

extends Object
implements Serializable

Defines a key for caching natural identifier resolutions into the second level cache.

See Also:
  Serialized Form

Constructor Summary
`NaturalIdCacheKey(Object[] naturalIdValues, EntityPersister persister, SessionImplementor session)` Construct a new key for a caching natural identifier resolutions into the second level cache.

Method Summary
`boolean` `equals(Object o)`
`String` `getEntityName()`
`Serializable[]` `getNaturalIdValues()`
`String` `getTenantId()`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NaturalIdCacheKey

    public NaturalIdCacheKey(Object[] naturalIdValues,
                             EntityPersister persister,
                             SessionImplementor session)

  Construct a new key for a caching natural identifier resolutions into the second level cache. Note that an entity name should always be the root entity name, not a subclass entity name.

  Parameters:
    `naturalIdValues` - The naturalIdValues associated with the cached data
    `persister` - The persister for the entity
    `session` - The originating session

Method Detail

### getEntityName

    public String getEntityName()

### getTenantId

    public String getTenantId()

### getNaturalIdValues

    public Serializable[] getNaturalIdValues()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.